Yuuko
=====

A transcendental HTML parser gently wrapping the HXT library

Example
=======


    yuuko "//body" "<html><body>hi</body></html>"
    
    > ["hi"]

Tutorial
========

    cabal update
    cabal install yuuko

    ghci
    
    > :m + Text.HTML.Yuuko
    > -- with XPath selectors
    > yuuko "//body" "<html><body>hi</body></html>"

Reference
=========

* [HXT](http://www.fh-wedel.de/~si/HXmlToolbox/)
* [TagSoup](http://community.haskell.org/~ndm/tagsoup/)
* [XPath](http://www.w3.org/TR/xpath)
* [XML related libraries on Hackage](http://hackage.haskell.org/packages/archive/pkg-list.html#cat:xml)

<br/>

![yuuko](http://github.com/nfjinjing/yuuko/raw/master/yuuko.gif)